--
-- $Id$
--
-- Aanpassingen om DB38a (SaaS-prod) naar DB38d te brengen
-- Merk op dat de recreate er nog bij komt die de DB-version bijwerkt en views opnieuw

DEFINE thisfile = 'DB38ato38d.sql'  
DEFINE dbuser   = '*'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

CREATE VIEW cad_v_label_deel_res_datum (dummy) AS select '' from dual; 
CREATE VIEW cad_v_thema_deel_res_datum (dummy) AS select '' from dual; 

INSERT INTO cad_legenda (cad_legenda_key,cad_legenda_omschrijving, cad_legenda_discreet) VALUES (4, 'Bezetting', 1);

INSERT INTO cad_legendawaarde (cad_legenda_key, cad_legendawaarde_value, cad_legendawaarde_rgb, cad_legendawaarde_omschr)
VALUES (4,'0','33CC33','hele dag beschikbaar');
INSERT INTO cad_legendawaarde (cad_legenda_key, cad_legendawaarde_value, cad_legendawaarde_rgb, cad_legendawaarde_omschr)
VALUES (4,'1','FF9900','''s middags beschikbaar');
INSERT INTO cad_legendawaarde (cad_legenda_key, cad_legendawaarde_value, cad_legendawaarde_rgb, cad_legendawaarde_omschr)
VALUES (4,'2','FFFF00','''s ochtends beschikbaar');
INSERT INTO cad_legendawaarde (cad_legenda_key, cad_legendawaarde_value, cad_legendawaarde_rgb, cad_legendawaarde_omschr)
VALUES (4,'3','FF0000','hele dag bezet');

INSERT INTO cad_thema
    ( cad_thema_key, cad_thema_omschrijving, cad_legenda_key, cad_thema_view, cad_thema_type, fac_functie_key )
    SELECT 13, 'Werkplekbezetting', 4, 'cad_v_thema_deel_res_datum', '17', fac_functie_key
      from fac_functie
    where fac_functie_code = 'WEB_RESUSE';

INSERT INTO cad_label
    ( cad_label_key, cad_label_omschrijving, cad_label_view, cad_label_type, cad_label_size, cad_label_visible, fac_functie_key )
    SELECT 13, 'Werkplekbezetting', 'cad_v_label_deel_res_datum', '17', 700, 0, fac_functie_key
      from fac_functie
    where fac_functie_code = 'WEB_RESUSE';



------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
